Package ru.bitel.bgbilling.kernel.contract.api.server.bean

# Class ContractLimitManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.contract.api.server.bean.ContractLimitManager

public class ContractLimitManager extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `VPAY_EXPIRED`
  `static final int`
  `VPAY_NOT_PAYOFFED`
  `static final int`
  `VPAY_PARTIAL_PAYOFFED`
  `static final int`
  `VPAY_PAYOFFED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractLimitManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractLimitParameters`
  `getContractLimitParameters(Setup setup, int contractId)`
  `ContractLimitParameters`
  `getContractLimitParameters(Setup setup, Contract contract)`
  `void`
  `setLimitManageMode(int userId, int contractId, int mode)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### VPAY_NOT_PAYOFFED

    public static final int VPAY_NOT_PAYOFFED
    See Also:
      - Constant Field Values

  - ### VPAY_PARTIAL_PAYOFFED

    public static final int VPAY_PARTIAL_PAYOFFED
    See Also:
      - Constant Field Values

  - ### VPAY_PAYOFFED

    public static final int VPAY_PAYOFFED
    See Also:
      - Constant Field Values

  - ### VPAY_EXPIRED

    public static final int VPAY_EXPIRED
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ContractLimitManager

    public ContractLimitManager(Connection con)

- ## Method Details

  - ### getContractLimitParameters

    public ContractLimitParameters getContractLimitParameters(Setup setup, Contract contract) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractLimitParameters

    public ContractLimitParameters getContractLimitParameters(Setup setup, int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### setLimitManageMode

    public void setLimitManageMode(int userId, int contractId, int mode) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`